Get Community List Summaries
Retrieves summaries for all Community lists on a given Provider Gateway.
Request
URI
GET
https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/communityListSummaries
COPY
Path Parameters
string
externalNetworkId
Required
externalNetworkId
Query Parameters
string
cursor
Optional
Field used for getting next page of records. The value is supplied by the current result page. If not set, the first page is retrieved. If cursor is set, then all other pagination query parameters such as pageSize, sortDesc, sortAsc, queryFilter are ignored.
integer
pageSize
Required
Constraints:
minimum: 0
maximum: 128
default: 25
Results per page to fetch.
Responses
200
OK
Returns
ProviderGatewayCommunityListSummaries
of type(s)
application/json;version=39.1
{
"values": [
{
"id": "string",
"name": "string",
"description": "string",
"communityCount": 0,
"bgpPermissionGroupRef": {
"id": "urn:vcloud:bgpPermissionGroup:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "string",
"accessLevel": "string"
},
"firstFiveCommunities": [
"3356:2040",
"NO_ADVERTISE",
"33:44:55"
]
}
]
}
array of
values
values
Optional
A summary model object for Provider Gateway Community List.
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/communityListSummaries?pageSize=v
Availability
Added in 38.0
On This Page
Provider Gateway Community Lists Operations
GET
Get Community List Summaries
POST
Create Community List
GET
Get Community List
PUT
Update Community List
DELETE
Delete Community List